"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BreadcrumbV3;

var _react = _interopRequireDefault(require("react"));

require("./breadcrumbV3.scss");

var _reactBootstrap = require("react-bootstrap");

var _jsCookie = _interopRequireDefault(require("js-cookie"));

var _fa = require("react-icons/fa");

var _bs = require("react-icons/bs");

function BreadcrumbV3(_ref) {
  var color = _ref.color,
      items = _ref.items,
      withIcon = _ref.withIcon,
      secondTitle = _ref.secondTitle,
      title = _ref.title;
  var currentLanguageCode = _jsCookie.default.get('i18next') || 'ar';
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "breadcrumb-v3 ".concat(color),
    "data-testid": "breadcrumbv3-component"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Container, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    md: 12,
    className: "text-center"
  }, /*#__PURE__*/_react.default.createElement("nav", {
    className: "breadcrumb-one mx-auto px-5",
    "aria-label": "breadcrumb"
  }, /*#__PURE__*/_react.default.createElement("ol", {
    className: "breadcrumb"
  }, items.map(function (_ref2) {
    var index = _ref2.index,
        name = _ref2.name,
        link = _ref2.link;
    return /*#__PURE__*/_react.default.createElement("li", {
      className: "breadcrumb-item  ".concat(index === items.length ? 'active' : ''),
      "aria-current": "page",
      key: 'breadcrumb-' + index
    }, currentLanguageCode === 'ar' ? /*#__PURE__*/_react.default.createElement(_fa.FaAngleLeft, null) : /*#__PURE__*/_react.default.createElement(_fa.FaAngleRight, null), /*#__PURE__*/_react.default.createElement("span", null, withIcon && /*#__PURE__*/_react.default.createElement("span", {
      className: "icon"
    }, currentLanguageCode === 'ar' ? /*#__PURE__*/_react.default.createElement(_bs.BsArrowRightSquare, null) : /*#__PURE__*/_react.default.createElement(_bs.BsArrowLeftSquare, null)), name));
  }))), /*#__PURE__*/_react.default.createElement("h6", {
    className: "page-title mx-auto px-5"
  }, title)))));
}