"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HeaderWithBreadcrumb;

var _react = _interopRequireDefault(require("react"));

require("./headerWithBreadcrumb.scss");

var _reactBootstrap = require("react-bootstrap");

var _jsCookie = _interopRequireDefault(require("js-cookie"));

var _reactI18next = require("react-i18next");

var _fa = require("react-icons/fa");

function HeaderWithBreadcrumb(_ref) {
  var title = _ref.title,
      items = _ref.items,
      secondTitle = _ref.secondTitle;
  var currentLanguageCode = _jsCookie.default.get('i18next') || 'ar';

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t;

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "breadcrumb-main",
    "data-testid": "headerWithBreadcrumb"
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Container, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: 12,
    className: "col d-flex justify-content-between align-items-center"
  }, /*#__PURE__*/_react.default.createElement("nav", {
    className: "breadcrumb-one m-auto",
    "aria-label": "breadcrumb"
  }, /*#__PURE__*/_react.default.createElement("ol", {
    className: "breadcrumb"
  }, items.map(function (_ref2) {
    var index = _ref2.index,
        name = _ref2.name,
        link = _ref2.link;
    return /*#__PURE__*/_react.default.createElement("li", {
      className: "breadcrumb-item  ".concat(index === items.length ? 'active' : ''),
      "aria-current": "page",
      key: 'breadcrumb-' + index
    }, currentLanguageCode === 'ar' ? /*#__PURE__*/_react.default.createElement(_fa.FaAngleLeft, null) : /*#__PURE__*/_react.default.createElement(_fa.FaAngleRight, null), /*#__PURE__*/_react.default.createElement("span", null, t(name)));
  })))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: 12
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "text-center"
  }, /*#__PURE__*/_react.default.createElement("h2", {
    className: "title text-primary"
  }, title))))));
}